Opened 4 years ago

Closed 4 years ago

Last modified 3 years ago

#1381 closed defect (fixed)

Element hiding exceptions broken in Firefox 35

Reported by: fanboy Assignee: trev
Priority: P1 Milestone: Adblock-Plus-2.6.5-for-Firefox
Module: Adblock-Plus-for-Firefox Keywords:
Cc: trev, greiner Blocked By:
Blocking: Platform: Firefox
Ready: yes Confidential: no
Tester: Verified working: no
Review URL(s):

http://codereview.adblockplus.org/5320026647166976/

Description

Environment

Adblock Plus 2.6.4.3864 + Firefox 35.0a1 (2014-09-15)

How to reproduce

  1. Use the following filters to Adblock Plus Dev

##.img-share
dailymail.co.uk#@#.img-share

  1. Visit http://www.dailymail.co.uk/tvshowbiz/article-2758416/Beyonce-displays-flawless-bikini-body-shares-pictures-33rd-birthday-South-France-Jay-Z-Blue-Ivy.html
  2. Page ignores the element whitelist / broken images occur on site.

Observed behaviour

Firefox nightly + Adblock Plus Dev seem to ignore the element whitelist again

Expected behaviour

Element whitelist should be working on the site.

Similar Behavior to https://issues.adblockplus.org/ticket/1241

Change History (10)

comment:1 Changed 4 years ago by philll

  • Cc trev added

I cannot reproduce this with FF 35.0a1 (2014-09-16) and ABP 2.6.4.3864

comment:2 Changed 4 years ago by fanboy

Regression range:
http://ftp.mozilla.org/pub/mozilla.org/firefox/tinderbox-builds/mozilla-central-win32-pgo/
1410823806/ 16-Sep-2014 03:22 - good
1410845408/ 16-Sep-2014 09:17 - bad

http://ftp.mozilla.org/pub/mozilla.org/firefox/tinderbox-builds/mozilla-central-win32/
1410823532/ 16-Sep-2014 01:29 - good
1410836493/ 16-Sep-2014 05:06 - bad

comment:3 Changed 4 years ago by trev

The respective regression ranges are:

http://hg.mozilla.org/integration/mozilla-inbound/pushloghtml?fromchange=a5ece9451343&tochange=3b7921328fc1
http://hg.mozilla.org/integration/mozilla-inbound/pushloghtml?fromchange=a5ece9451343&tochange=4e8c6c5c0961

While the former contains a merge with multiple commits, the latter is only five commits and none of them touch anything even remotely related to Adblock Plus.

comment:4 Changed 4 years ago by trev

  • Component changed from Unknown to Adblock-Plus-for-Firefox
  • Owner set to trev
  • Priority changed from Unknown to P2
  • Ready set

Actually, the regression range makes no sense - in the description you say that you saw that issue with the 2014-09-15 build yet the regression ranges point to September 16.

Either way, I can reproduce the issue with the 2014-09-17 nightly. The page has the following tag:

<img id="i-d93b142c6946f152" ... class="blkBorder img-share" height="750" width="634">

I can see an element hiding rule apply to it by the .img-share selector, the image actually has zero size. However, neither .img-share nor dailymail.co.uk#@#.img-share appear in the list of blockable items. Diagnostics extension shows it however (20 times actually), along with "Decision: blocked."

comment:5 Changed 4 years ago by trev

  • Blocking 432 added
  • Cc greiner added

There is an error message "ReferenceError: can't access let declaration `thirdParty' before initialization", apparently a regression from #432.

comment:6 Changed 4 years ago by trev

  • Priority changed from P2 to P1
  • Summary changed from Element hiding exceptions broken in Firefox 35 to Element hiding exceptions broken after #432 landing

comment:7 Changed 4 years ago by trev

  • Review URL(s) modified (diff)
  • Status changed from new to reviewing

comment:8 Changed 4 years ago by trev

  • Blocking 432 removed
  • Summary changed from Element hiding exceptions broken after #432 landing to Element hiding exceptions broken in Firefox 35

Turned out, this bug was introduced back when element hiding exceptions were implemented, not related to #432 after all. It seems that the current Firefox nightlies simply got stricter about let variables.

comment:9 Changed 4 years ago by trev

  • Milestone set to Adblock-Plus-for-Firefox-next
  • Resolution set to fixed
  • Status changed from reviewing to closed

comment:10 Changed 3 years ago by philll

  • Platform changed from Firefox/Firefox Mobile to Firefox

Made Firefox and Firefox mobile available as seperate platforms.

Note: See TracTickets for help on using tickets.